unity_support_test crashed with SIGSEGV in nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader()

Bug #709649 reported by Cliff on 2011-01-29
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Medium
Jay Taoko
Unity
Fix Released
Medium
Jay Taoko
nux (Ubuntu)
Medium
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

I've got this all typed in and I see in dmesg that there are some CD read errors. I have seen these before with what appear to be incorrectly created squashfs CD's. The panic / oops may indeed be caused by a CD error. <EDIT> I tested the CD with the test CD boot option and it passed. </EDIT>

This is when running the i386 Natty (11.04) daily live (development) CD dated I believe 2011-01-27 on a very stable Dual core (Intel 925 dual core (AMD64 capable), ECS (Via) P4M800PRO, 2 gigs, Asus Geforce 3 AGP) system that I just want to get better OpenGL running on. (Hoping to find better OpenGL support in Natty.) It happened as the desktop was coming up. No icons or task bars appeared before the error, but the background had been painted for perhaps 30 seconds (wild guess).

This system exhibits the "no human readable MCE decoding support on this CPU type" issue at boot up into this live Natty CD and I had to use "nomce" in the kernel boot options line to get past it. I also recall that with previous kernels on Lucid (AMD64) this stable system always generates an MCE at 300 seconds after boot in dmesg. I researched it before and didn't find anything useful.

I use this system for 12 hours every day (with Maverick lately) and have no lockups or corruptions at all.

With the Natty daily CD, this system also exhibits the "it seems you do not have the hardware requirements to run unity" issue, perhaps because it has an old monitor that these later kernels (at least the later ones, maybe the earlier ones too) have a hard time finding the EDID on. On my hard drive upgrade from Lucid to Maverick I had to make an xorg.conf with some horizontal and vertical monitor timing ranges before it would let me use a reasonable screen resolution and refresh rate. In Maverick, the refresh rate was 0 before this and (I forget the tool) said it got an EDID error trying to get info from the monitor.

Looking at dmesg, I see that I have an easycap (video to USB adapter) plugged in (with no video source though). The easycap device works fine under previous versions of Ubuntu (sourceforge driver). I notice though that it was detected as the FOUR-CVBS (4 video input) hardware version which is incorrect if that matters. It is the single CVBS version.

If I had to guess at possible causes, I would point first to the CD read errors (that I now see in the dmesg) (I need to retest reading the CD on this drive from my stable Maverick), <EDIT> CD tested OK </EDIT> then to the benign MCE that always happened at 300 seconds (at least with earlier Ubuntus) <EDIT> Maverick also produces this benign MCE at 300 seconds (and not again till reboot) </EDIT> and I suspect that is related to the "no human readable MCE decoding support on this CPU type" that I now get with this Natty development version.

This is the first time I have tried the early Natty.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: nux-tools 0.9.16-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Uname: Linux 2.6.37-12-generic i686
Architecture: i386
Date: Sat Jan 29 02:18:49 2011
Disassembly: => 0x0: Cannot access memory at address 0x0
ExecutablePath: /usr/lib/nux/unity_support_test
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110127)
ProcCmdline: /usr/lib/nux/unity_support_test
ProcEnviron:
 LANGUAGE=en_US.UTF-8:en
 LANG=en_US.UTF-8
 LC_MESSAGES=en_AG.utf8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x0: Cannot access memory at address 0x0
 PC (0x00000000) not located in a known VMA region (needed executable region)!
SegvReason: executing NULL VMA
Signal: 11
SourcePackage: nux
StacktraceTop:
 ?? ()
 nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader(nux::NString) () from /usr/lib/libnux-graphics-0.9.so.0
 nux::GpuDevice::CreateAsmVertexShader(nux::IOpenGLAsmVertexShader**) () from /usr/lib/libnux-graphics-0.9.so.0
 nux::GpuDevice::CreateAsmVertexShader() () from /usr/lib/libnux-graphics-0.9.so.0
 nux::IOpenGLAsmShaderProgram::IOpenGLAsmShaderProgram(nux::NString) () from /usr/lib/libnux-graphics-0.9.so.0
Title: unity_support_test crashed with SIGSEGV in nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (nm-applet:3138): Gdk-CRITICAL **: IA__gdk_window_thaw_toplevel_updates_libgtk_only: assertion `private->update_and_descendants_freeze_count > 0' failed
 (nautilus:3115): GConf-CRITICAL **: gconf_value_free: assertion `value != NULL' failed

Cliff (vzmith) wrote :
visibility: private → public
Cliff (vzmith) wrote :

I tested the CD in the same drive; without cleaning or even removing it. I tested it with the live CD boot option that tests the CD. It passed. I had to use the nomce kernel command line option to get even the simple test to boot. I recall though that I do NOT have to use "nomce" for the memory test option on the live CD.

Maverick continues the tradition of logging an MCE in dmesg at 300 seconds:
[ 300.040038] Machine check events logged

description: updated
Cliff (vzmith) wrote :

Note that MCE at 300 seconds does not occur again till next boot up.

description: updated
Cliff (vzmith) wrote :

This machine has a hard drive with a working Maverick and WinXP on it. I mention this because I recall seeing someone post that their "no human readable MCE decoding support on this CPU type" problem went away when they disconnected their hard drive. Is swap being detected and auto mounted and that causing an issue?

Jay Taoko (jaytaoko) wrote :

Thank you for your report. Can you paste the result of the command "glxinfo" on your system? Your system has an NVidia Geforce3 inside right?

StacktraceTop:
 ?? ()
 nux::GpuDevice::CreateShaderProgram (this=0xbf9cbdfc)
 global constructors keyed to GpuDeviceShader.cpp ()
 IOpenGLAsmShaderProgram (this=0x9c18460, ShaderProgramName=
 nux::GpuDevice::CreateAsmPixelShader (this=0x9c16f70,

Changed in nux (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Cliff (vzmith) wrote :

To make a long story short, glxinfo (mesa-utils) is not installed or installable.

I burned another copy of the same (zsync verified) iso and used it for these tests. I avoided using the "nomce" kernel option in these tests.

It crashes differently each time I boot the CD. After selecting English and the boot to live CD option sometimes I get an oops or panic with or without 1 or two messages about the "no human readable MCE decoding support on this CPU type".

About half the time it gets partially into the GUI. When it does it always gives a "it seems you do not have the hardware requirements to run unity" GUI popup and I click on "change user session".

At this point, the background bitmap comes up and I eventually get one or more "xyz closed unexpectedly" where xyz is one of:
compiz
unity-support-test
something about applet-service or similar

This particular time it was compiz and then unity-support test overwrote the compiz popup.

Sometimes a message comes up about hardware drivers, like it wants me to do System -> Administration -> Additional drivers and install closed source nvidia drivers instead of nouveau. Whatever I do with these messages, the desktop has no further things on it and it is not responsive.

This particular time, I left the GUI "xyz closed unexpectedly" messages sitting there and did ctrl-alt-f1 for a console where I immediately did sudo su.

glxinfo is not installed so I tried "apt-get install mesa-utils" and there is no installation candidate, even after "apt-get update".

I did a dmesg>dmesg.txt and the only way I found to get it off the box was to use mcopy to a floppy. scp to my local network kept saying "lost connection".

The dmesg shows CD errors although these CD's verify OK and I even boot my Maverick and run my standard script that uses find and dd to verify that every byte of every file on the CD is readable.

I tried this CD on two different machines, a 5 or 7 year old Compaq P2100 which exhibited similar issues (xyz closed unexpectedly once it got to the GUI) except it did not have the "no human readable MCE decoding support on this CPU type" issue, and a Dell Dimension 8400 P4 which worked perfectly.

Cliff (vzmith) wrote :

Dmesg from the second time I documented this issue (see post immediately above this).

Cliff (vzmith) wrote :

Yes, this system has an Asus brand AGP Geforce 3 card with all the options like video input. It is an Asus V8200.

Jay Taoko (jaytaoko) wrote :

Cliff

The problems looks like and OpenGL extension is missing (GL_ARB_vertex_program). Is this extension reported by glxinfo on your system? If it is not reported, this could be another case of this bug: #711012

Cliff (vzmith) wrote :

As I reported earlier, glxinfo is:
- not installed on the (live CD) system
- not installable (no candidates) on the system
- not likely to run on the system even if copied and installed with dpkg as the GUI is unresponsive (compiz is dead) and I only have a text console.

Cliff (vzmith) wrote :

Is there a kernel / boot option I can use to tell it to skip 3D and just use 2D for a test?

Cliff (vzmith) wrote :

I selected the "nomodeset" F6 boot option and it comes right up without error. Of course it is running the fall back 2D desktop with metacity and it warned me about that. The other errors, including "no human readable MCE decoding support on this CPU type" and oops / panics did not happen this time either.

I created desktop launchers for gnome-terminal and firefox and I am posting this from this live CD session.

I notice that the early CD read errors still appear in dmesg, but I installed dd_rescue and the whole CD (/dev/sr0) reads fine with it, without any errors or even slowdowns (which would imply retries). There is apparently some issue with the SquashFS or with driver initialization, but I have seen this sort of thing before IIRC.

I notice that the machine check at exactly 300 seconds (plus / minus 1/20th second) is logged in dmesg like in Maverick and earlier.

I get an informational popup that non-free drivers are available and will try to install nvidia-96 to see what happens. It looks like this video card may need to be blocked from loading 3D support if you can't get this fixed.

Cliff (vzmith) wrote :

Executive summary: Find attached, the glxinfo.txt that you asked for. Note that GL_ARB_vertex_program is indeed available.

I re-ran the previous test several times and got all the errors to occur except for "compiz closed unexpectedly" as it was running metacity instead of compiz (so it F6-nomodeset does not make the errors go away).

metacity ran fine and brought up a simple desktop that was not locked up. The message that it gives to warn you that do not have Unity or 3D is "Sorry, you don't have 3d support, install it for your graphic hardware to get Unity or please reboot and select 'Classic session' at startup.".

While running metacity for desktop I ran jockey-gtk to add closed source drivers and it allowed me to add nvidia-96. (This first time, it had two options, apparently nvidia-96 and nouveau. Several more test runs from boot up only had nvidia-96 showing for some strange reason.) jockey-gtk crashed after adding nvidia-96. Running jockey-gtk again said nvidia-96 was installed but not activated. I logged out of X and back in to activate it and got the same set of "xyz closed unexpectedly" as before (compiz, unity-support-test, etc.) because it loaded compiz instead of metacity and tried to use the 3D.

It would not let me report the jockey-gtk crash as it said I had old software (lots which would probably fill up the ramdisk, and including libc6 which would require a reboot) and had to update first.

I booted from the cd again (still using F6-nomodeset) and was able to edit /etc/apt/sources.list to add universe, etc and thus was able to install mesa-utils and with a responsive desktop I was able to run glxinfo.

Cliff (vzmith) wrote :

I ran some tests with i386 live DVD versions of 10.10 and 10.04. First I test read the whole DVD's on this machine and they both test read fine and quickly.

10.04 boots up and runs fine.

10.10 boots up to the 5 dots in a sequence screen and eventually the dots all come on, the DVD light goes out and the machine is completely locked up.

Jay Taoko (jaytaoko) on 2011-02-09
Changed in nux:
status: New → Triaged
Changed in unity:
status: New → Triaged
Changed in nux:
importance: Undecided → Medium
Changed in unity:
importance: Undecided → Medium
Changed in nux:
assignee: nobody → Jay Taoko (jaytaoko)
Changed in unity:
assignee: nobody → Jay Taoko (jaytaoko)
Changed in unity (Ubuntu):
status: New → Triaged
Didier Roche (didrocks) on 2011-02-21
Changed in nux (Ubuntu):
status: New → Triaged
Neil J. Patel (njpatel) on 2011-03-07
tags: added: unity-priority
Jay Taoko (jaytaoko) wrote :

Please, can you run this command and report the result here: "/usr/lib/nux/unity_support_test -p". Start Ubuntu without Unity and run the command.

tags: added: dids-top-ten
Jay Taoko (jaytaoko) on 2011-03-08
Changed in nux:
status: Triaged → Confirmed
Changed in unity:
status: Triaged → Confirmed
Changed in nux (Ubuntu):
status: Triaged → Confirmed
Changed in unity (Ubuntu):
status: Triaged → Confirmed
Changed in nux:
status: Confirmed → Fix Committed
Changed in unity:
status: Confirmed → Fix Committed
Changed in nux (Ubuntu):
status: Confirmed → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Jay Taoko (jaytaoko) wrote :

There is no info in the crash report to identify the brand and version of the GPU. However, a similar problem has been observed with GPUs that are missing support for ARB vertex programs. A fix has been submitted to Nux to avoid crashing unity_support_test.

Didier Roche (didrocks) on 2011-03-08
Changed in unity:
milestone: none → 3.6.4
Cliff (vzmith) wrote :

How do I start the Ubuntu live CD without unity?

Do you want me to download the latest CD for this test?

Cliff (vzmith) wrote :

The GPU is an Asus Geforce 3 (V8200) AGP.

Here is a link to a page that classifies Nvidia GPU's according to feature set and final driver version support. I would hazard a guess that the other GPU's in the same list as the Geforce 3 might have the same problem. Perhaps the earlier GPU list as well.

http://www.nvidia.com/object/IO_32667.html

Didier Roche (didrocks) on 2011-03-10
Changed in nux:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 0.9.32-0ubuntu1

---------------
nux (0.9.32-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in std::basic_string<char,
      std::char_traits<char>, std::allocator<char> >::assign() (LP: #729412)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #724903)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #723531)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #723158)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #727895)
  * debian/rules:
    - bump shlib
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:51:23 +0100

Changed in nux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.4-0ubuntu1

---------------
unity (3.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - When running with dual monitors, Unity will use the height of the larger
      one for calculating when to fold (LP: #696388)
    - Unity app launcher is filled up with doublettes (LP: #690537)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - Dash needs keyboard navigation (LP: #727714)
    - It is possible to focus Unity itself and Close it from the global menu
      (LP: #728790)
    - Systray icons showing on top of everything (LP: #728719)
    - Pressing ENTER in the dash during a search should open the first
      displayed item (LP: #729699)
    - compiz crashed with SIGSEGV in LauncherIcon::OpenQuicklist()
      (LP: #731096)
    - inactive menus are not shown (LP: #732162)
    - Icon-only menu titles don't have accessible names (LP: #691677)
    - unity not working on rotated displays (LP: #694596)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - Dragging .desktop file to launcher's trash creates space for new
      launcher icon (LP: #717250)
    - Unable to scroll in Applications/Files and Folders Place using mouse
      wheel (LP: #721447)
    - The applications place is empty (LP: #724259)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - Quicklists are difficult to dismiss (LP: #726890)
    - Apps in Available group not rendered in Dash (LP: #729710)
    - Clicking on Shortcuts header doesn't do anything. (LP: #730774)
    - Zeitgeist FTS Extension doesn't filter on subject URIs (LP: #731208)
    - dual monitor,,,upper panel turns white / nvidia (LP: #685179)
    - Dash file Lens – Rename “Favourite Folders” category header to “Folders”
      (LP: #723866)
    - looking for 'places' icons in the wrong location (LP: #727672)
    - Empty trash quicklist item is missing an ellipsis (LP: #731472)
    - Wastebasket quicklist is missing “Empty Wastebasket” option when the
      wastebasket is empty (LP: #723880)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - start-here icon updated at wrong time (LP: #726267)
    - Unity overlay unhide issue (LP: #726926)
    - Orca doesn't report that the Launcher receives the focus (LP: #727133)
    - Accessibility object parent-child hierarchy on unity is broken
      (LP: #727908)
    - Regression: Orca doesn't speech out the selection changes on the
      Launcher (LP: #729165)
    - quicklist must respect enabled state (LP: #731533)
    - unity-panel-service crashed with SIGSEGV in
      dbusmenu_menuitem_send_about_to_show() (LP: #725631)
  * debian/control:
    - build-dep on latest nux
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:52:53 +0100

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Cliff (vzmith) wrote :

So you are saying that if I download the current live CD, it will work now?

madbiologist (me-again) wrote :

You will need to download the current daily build, not the most recent alpha 3.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers